Bug 6142 - CanBookBeReserved function is redefined in C4/ILSDI/Utility.pm
Summary: CanBookBeReserved function is redefined in C4/ILSDI/Utility.pm
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: 3.6
Hardware: All All
: PATCH-Sent (DO NOT USE) normal (vote)
Target Milestone: ---
Assignee: stephane.delaune
QA Contact: Bugs List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-04-08 12:00 UTC by Alex Arnaud
Modified: 2013-12-05 19:57 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Delete sub CanBookBeReserved (1.95 KB, patch)
2011-04-08 12:03 UTC, Alex Arnaud
Details | Diff | Splinter Review
followup(delete reference to sub on @EXPORT) : PATCH 1/2 (original) (2.10 KB, patch)
2011-07-08 09:50 UTC, stephane.delaune
Details | Diff | Splinter Review
followup(delete reference to sub on @EXPORT) : PATCH 2/2 (followup) (888 bytes, patch)
2011-07-08 09:51 UTC, stephane.delaune
Details | Diff | Splinter Review
Bug #6142 - Delete sub CanBookBeReserved and delete function's reference on @EXPORT (2.42 KB, patch)
2011-10-22 17:37 UTC, MJ Ray (software.coop)
Details | Diff | Splinter Review
Bug #6142 - Delete sub CanBookBeReserved and delete function's reference on @EXPORT (2.96 KB, patch)
2011-12-15 19:14 UTC, MJ Ray (software.coop)
Details | Diff | Splinter Review
Bug #6142 - Delete sub CanBookBeReserved and delete function's reference on @EXPORT (3.01 KB, patch)
2011-12-19 07:12 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Arnaud 2011-04-08 12:00:41 UTC

    
Comment 1 Alex Arnaud 2011-04-08 12:03:23 UTC Comment hidden (obsolete)
Comment 2 stephane.delaune 2011-07-08 09:50:34 UTC Comment hidden (obsolete)
Comment 3 stephane.delaune 2011-07-08 09:51:41 UTC Comment hidden (obsolete)
Comment 4 Owen Leonard 2011-08-11 18:23:19 UTC
Which of these attachments is to be tested? Is the first one obsolete? Please squash the valid patches if there are more than one.
Comment 5 MJ Ray (software.coop) 2011-10-22 17:37:33 UTC Comment hidden (obsolete)
Comment 6 Paul Poulain 2011-10-25 15:07:32 UTC
bug affected to Koha 3.6. Entries must be attached to rel_3_8 only when the patch is pushed here (and if it's an ENH)
Comment 7 MJ Ray (software.coop) 2011-10-26 23:48:06 UTC
You what? Surely this should be applied to master (3.8 now) and then pulled back to 3.6?
Comment 8 Ian Walls 2011-11-19 16:00:37 UTC
Can we confirm that C4/ILSDI/Services.pm correctly pulls in C4::Reserves::CanBookBeReserved?  It's not in the explicit import on C4/ILSDI/Services.pm line 29 (the use statement for C4/Reserves).
Comment 9 Marcel de Rooy 2011-12-15 14:32:26 UTC
Question seems unanswered. Changing status to reflect pending status.
Comment 10 MJ Ray (software.coop) 2011-12-15 19:14:02 UTC Comment hidden (obsolete)
Comment 11 Chris Cormack 2011-12-19 07:12:38 UTC
Created attachment 6859 [details] [review]
Bug #6142 - Delete sub CanBookBeReserved and delete function's reference on @EXPORT

Original-Author:    Alex Arnaud <alex.arnaud@biblibre.com>, Stéphane Delaune <stephane.delaune@biblibre.com>
Original-Signed-off-by: MJ Ray <mjr@phonecoop.coop>

Correct use statement bug found by Ian Walls

Author: MJ Ray <mjr@phonecoop.coop>
Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>
Comment 12 Ian Walls 2011-12-21 23:04:45 UTC
Removes subroutine from C4/ILSDI/Utility.pm in favor of importing from C4/Reserves.pm

Marking Passed QA
Comment 13 Paul Poulain 2011-12-27 17:39:04 UTC
patch pushed, please test